## xdoclet.modules.ejb.lookup
Class LookupObjectSubTask.LookupKind

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.ejb.lookup.LookupObjectSubTask.LookupKind

Enclosing class:
  LookupObjectSubTask

public static class LookupObjectSubTask.LookupKind
extends org.apache.tools.ant.types.EnumeratedAttribute

Author:
  Ara Abrahamian (ara_e_w@yahoo.com)
created
  March 6, 2002

Field Summary
`static String` `LOGICAL`
`static String` `PHYSICAL`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`LookupObjectSubTask.LookupKind()`

Method Summary
`String[]` `getValues()` Gets the Values attribute of the LookupKind object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PHYSICAL

    public static final String PHYSICAL

See Also:
  Constant Field Values

### LOGICAL

    public static final String LOGICAL

See Also:
  Constant Field Values

Constructor Detail

### LookupObjectSubTask.LookupKind

    public LookupObjectSubTask.LookupKind()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the LookupKind object

  Returns:
    The Values value

http://xdoclet.sourceforge.net/